# ``twisted`.`mail`.`alias`.`MultiWrapper``

class documentation

`class MultiWrapper: (source)`

Implements interfaces: `twisted.mail.interfaces.IMessageSMTP`

View In Hierarchy

A message receiver which delivers a single message to multiple other message receivers.

Method | `__init__` |
Method | `__str__` | Build a string representation of this `MultiWrapper` instance.
Method | `connectionLost` | Inform the message receivers that the connection has been lost.
Method | `eomReceived` | Pass the end of message along to the message receivers.
Method | `lineReceived` | Pass a received line to the message receivers.
Instance Variable | `objs` | See `__init__`.

def __init__(self, objs): (source)

Parameters
objs:`list` of `IMessage` provider | Message receivers to which the incoming message should be directed.

def __str__(self): (source)
Build a string representation of this `MultiWrapper` instance.

Returns
`bytes` | A string containing a list of the message receivers.

def connectionLost(self): (source)
from `twisted.mail.interfaces.IMessageSMTP`
Inform the message receivers that the connection has been lost.
def eomReceived(self): (source)
from `twisted.mail.interfaces.IMessageSMTP`
Pass the end of message along to the message receivers.

Returns
`DeferredList` whose successful results are `bytes` or `None` | A deferred list which triggers when all of the message receivers have finished handling their end of message.

def lineReceived(self, line): (source)
from `twisted.mail.interfaces.IMessageSMTP`
Pass a received line to the message receivers.

Parameters
line:`bytes` | A line of the message.

objs = (source)
See `__init__`.